org.apache.poi.ss.usermodel

## Interface Footer

- All Superinterfaces:
    HeaderFooter
  All Known Implementing Classes:
    HSSFFooter, XSSFEvenFooter, XSSFFirstFooter, XSSFOddFooter

      public interface Footer
      extends HeaderFooter

  Common definition of a HSSF or XSSF page footer. For a list of all the different fields that can be placed into a footer, such as page number, bold, underline etc, see `HeaderFooter`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCenter()` Get the center of the footer.
    `java.lang.String` | `getLeft()` Get the left side of the footer.
    `java.lang.String` | `getRight()` Get the right side of the footer.
    `void` | `setCenter(java.lang.String newCenter)` Sets the center string.
    `void` | `setLeft(java.lang.String newLeft)` Sets the left string.
    `void` | `setRight(java.lang.String newRight)` Sets the right string.

- - ### Method Detail

    - #### getLeft

          java.lang.String getLeft()

      Get the left side of the footer.
      Specified by:
        `getLeft` in interface `HeaderFooter`
      Returns:
        The string representing the left side.

    - #### setLeft

          void setLeft(java.lang.String newLeft)

      Sets the left string.
      Specified by:
        `setLeft` in interface `HeaderFooter`
      Parameters:
        `newLeft` - The string to set as the left side.

    - #### getCenter

          java.lang.String getCenter()

      Get the center of the footer.
      Specified by:
        `getCenter` in interface `HeaderFooter`
      Returns:
        The string representing the center.

    - #### setCenter

          void setCenter(java.lang.String newCenter)

      Sets the center string.
      Specified by:
        `setCenter` in interface `HeaderFooter`
      Parameters:
        `newCenter` - The string to set as the center.

    - #### getRight

          java.lang.String getRight()

      Get the right side of the footer.
      Specified by:
        `getRight` in interface `HeaderFooter`
      Returns:
        The string representing the right side.

    - #### setRight

          void setRight(java.lang.String newRight)

      Sets the right string.
      Specified by:
        `setRight` in interface `HeaderFooter`
      Parameters:
        `newRight` - The string to set as the right side.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.